Subject: [ippm] draft-ietf-ippm-6man-pdm-option-11

From: <[email-masked]>
Date: Tue, 6 Jun 2017 17:11:21 +0000 (UTC)

All,

I have posted draft-ietf-ippm-6man-pdm-option-11.

I believe that we have addressed all IESG comments in this latest draft of PDM ( https://datatracker.ietf.org/doc/draft-ietf-ippm-6man-pdm-option/).

Please let me know if there is anything else left to do.   

If you would like for me to resend the copy of my responses to you, please let me know.

Thanks,

Nalini Elkins
CEO and Founder
Inside Products, Inc.
www.insidethestack.com
(831) 659-8360

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 6 Jun 2017 23:12:22 +0530

Hi Nalini,
  I looked over the new version and it has fixed 3 out of the 4 points I brought up (Thanks!). The alignment one still remains unaddressed. I thought we agreed to an alignment requirement of 2n but the draft just says

"The alignment for PDM is per RFC2460 [RFC2460]”

which really says nothing since RFC2460 expects *this* document to state the alignment requirement.

Regards
Suresh

> On Jun 6, 2017, at 10:41 PM, [email-masked] wrote:
> 
> All,
>

---

From: Nalini J Elkins <[email-masked]>
Date: Tue, 6 Jun 2017 20:44:28 +0000 (UTC)

Suresh,

> I looked over the new version and it has fixed 3 out of the 4 points I brought up (Thanks!). The alignment one still remains unaddressed. I thought we 
> agreed to an alignment requirement of 2n but the draft just says

> which really says nothing since RFC2460 expects *this* document to state the alignment requirement.

I looked at a number of the other RFCs which define Destination Options.  RFC6275 : Mobility Support in IPv6, Section 6.2.1 has:

"Mobility options may have alignment requirements. Following the convention in IPv6, these options are aligned in a packet so that multi-octet values within the Option Data field of each option fall on natural boundaries (i.e., fields of width n octets are placed at an integer multiple of n octets from the start of the header, for n = 1, 2, 4, or 8) [6]"

If we use the same wording:

OLD----"The alignment for PDM is per RFC2460 [RFC2460]”

New---"PDM has alignment requirements. Following the convention in IPv6, these options are aligned in a packet so that multi-octet values within the Option Data field of each option fall on natural boundaries (i.e., fields of width n octets are placed at an integer multiple of n octets from the start of the header, for n = 1, 2, 4, or 8) [RFC2460]" 

 Please let me know if you are OK with the changes and I will create a new version.
Thanks,Nalini

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 8 Jun 2017 00:06:14 +0530

Hi Nalini,

> On Jun 7, 2017, at 2:14 AM, Nalini J Elkins <[email-masked]> wrote:
> 
> Suresh,
> 
> OLD
> ----
> New
> ---
> "PDM has alignment requirements. Following the convention in IPv6, these options are aligned in a packet so that multi-octet values within the Option Data field of each option fall on natural boundaries (i.e., fields of width n octets are placed at an integer multiple of n octets from the start of the header, for n = 1, 2, 4, or 8) [RFC2460]" 
> 
> 

Looks good to me.

Thanks
Suresh

---

From: Nalini J Elkins <[email-masked]>
Date: Thu, 8 Jun 2017 13:54:59 +0000 (UTC)

All,
We have posted a new draft with the change agreed to by Suresh.
The IETF datatracker status page for this draft is:

https://datatracker.ietf.org/doc/draft-ietf-ippm-6man-pdm-option/   
Please let me know if anyone else has any comments. Thanks,

Nalini Elkins
CEO and Founder
Inside Products, Inc.
www.insidethestack.com
(831) 659-8360

      From: Suresh Krishnan <[email-masked]>
 To: Nalini J Elkins <[email-masked]> 
Cc: The IESG <[email-masked]>; "[email-masked]" <[email-masked]>; Bill Cerveny <[email-masked]>; "[email-masked]" <[email-masked]>; Al Morton <[email-masked]>; "[email-masked]" <[email-masked]>
 Sent: Wednesday, June 7, 2017 11:36 AM
 Subject: Re: draft-ietf-ippm-6man-pdm-option-11
   
Hi Nalini,

Looks good to me.
ThanksSuresh